Bug 61671 - XSLFSlide does not contain isHidden and setHidden like HSLFSlide does
Summary: XSLFSlide does not contain isHidden and setHidden like HSLFSlide does
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: XSLF (show other bugs)
Version: 3.17-FINAL
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-26 18:49 UTC by Ghazi Triki
Modified: 2017-11-03 02:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ghazi Triki 2017-10-26 18:49:43 UTC
Actually HSLFSlide contains two methods; getHidden and setHidden; however XSLFSlide doesn't. It would be nice to have them, we will avoid reading the full XML Object of the slide.
Comment 1 Ghazi Triki 2017-10-26 19:32:39 UTC
I just found this : slide.getXmlObject().getShow()

Is it the correct way?
Comment 2 Nick Burch 2017-10-26 20:20:28 UTC
Any chance you could create a simple PPTX slideshow in PowerPoint, one slide shown and one hidden, and either upload it here or check the XML inside to identify the hidden flag? We can then quite quickly add the missing matching getter / setter methods
Comment 3 Ghazi Triki 2017-10-26 20:22:23 UTC
Using this method works

slide.getXmlObject().getShow()
Comment 4 Javen O'Neal 2017-10-26 21:08:23 UTC
Let's leave this one open until getHidden is part of the XSLF like API. We don't want users to rely on the underlying xmlbean implementation.
Comment 5 Andreas Beeker 2017-11-02 23:21:58 UTC
Applied with r1814122

I've changed getHidden() to isHidden() to go along the beans naming convention.
Do we need a deprecated getHidden() for scratchpad? ... I suppose, no
Comment 6 Javen O'Neal 2017-11-03 02:09:17 UTC
(In reply to Andreas Beeker from comment #5)
> Applied with r1814122
> Do we need a deprecated getHidden() for scratchpad?
No, but it's a pretty small alias to add to our API. If it means greater adoption of 4.0.0, it'd be helpful to keep it for a release.